### Method

# Tsparql NamespaceManager compress_uri

since: 3.3

#### Declaration [src]

    char*
    tracker_namespace_manager_compress_uri (
      TrackerNamespaceManager* self,
      const char* uri
    )

#### Description [src]

If `uri` begins with one of the namespaces known to this `TrackerNamespaceManager`, then the return value will be the compressed URI. Otherwise, `NULL` will be returned.

Available since: 3.3

#### Parameters

`uri`

  Type: `const char*`

  A URI or compact URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

(nullable): the compressed URI.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.